
package jwiley.chp10;

import java.awt.*;

public class TestGraphPaperLayout extends Frame
{
    TextField   txtFirstName = new TextField();
    TextField   txtMiddleName = new TextField();
    TextField   txtLastName = new TextField();

    TextField   txtAddress = new TextField();
    TextField   txtCity = new TextField();
    TextField   txtState = new TextField();
    TextField   txtZip = new TextField();

    Button      cmdSave = new Button("Save");
    Button      cmdCancel = new Button("Cancel");

    public TestGraphPaperLayout (String sTitle)
    {
        super (sTitle);

        setLayout(new GraphPaperLayout(10,6,2,2));

        add("1,1,5,1", new Label("Personal Information"));

        add("1,2,2,1,p", new Label("Name:"));
        add("3,2,2,1", txtLastName);
        add("5,2,2,1", txtFirstName);
        add("7,2,2,1", txtMiddleName);

        add("3,3,2,1,p", new Label("Last"));
        add("5,3,2,1,p", new Label("First"));
        add("7,3,2,1,p", new Label("Middle"));

        add("1,4,2,1,p", new Label("Address:"));
        add("3,4,7,1", txtAddress);
        add("3,5,4,1", txtCity);
        add("7,5", txtState);
        add("8,5,2,1", txtZip);

        add("3,6,4,1,p", new Label("City"));
        add("7,6,p", new Label("State"));
        add("8,6,2,1,p", new Label("Zip"));

        add("10,3", cmdSave);
        add("10,4", cmdCancel);

        pack();
        show();
    }

    public static void main (String args[])
    {
        new TestGraphPaperLayout("Test GraphPaperLayout");
    }

}