// TestGraphics.java
package jwiley.chp10;

import java.awt.*;

/** Class to demonstrate drawing to a Graphics context. */
class myPanel extends Panel
{
    /** constructor. */
    myPanel()
    {
        setBackground(Color.white);
    }

    /** method to that draws to a graphics context. */
    void printGC()
    {
        Graphics GC = this.getGraphics();
        if (GC != null)
        {
            System.out.println("A Graphics Context exists " +
                                        "for this component.");
            System.out.println("The GC is : " + GC.toString());
            System.out.println("Would you like to draw " +
                                            "something in it?");
            System.out.println("Sure, here's a circle for you.");
            GC.setColor(Color.red);
            GC.drawOval(25,25, 50,50);
        }
        else
            System.out.println("No Graphics context for this " +
                                                 "component.");
    }
}

/** Class to demonstrate a graphics context. */
class TestGraphics
{
    /** main() method to invoke from a JVM. */
    public static void main(String args[])
    {
        Frame myFrame = new Frame("Graphics Context test");
        myFrame.setSize(125,125);
        myPanel aPanel = new myPanel();
        myFrame.add("Center",aPanel);
        myFrame.setVisible(true); // GC created
        // sleep a half sec
        try { Thread.sleep(500); } catch (Exception e) { }
        aPanel.printGC();
    }
}
