package jwiley.chp10;

import java.awt.Toolkit;
import java.awt.Dimension;
/**
 *  TestToolkit.java
 *  A class to demonstrate the graphics toolkit.
 *  @version 1.1
 *  @author M. Daconta.
 */
class TestToolkit
{
    /** main() method to invoke from JVM. */
    public static void main(String args[])
    {
        Toolkit defTk = Toolkit.getDefaultToolkit();

        String name = System.getProperty("awt.toolkit");
        System.out.println("Toolkit name: " + name);

        Dimension screen = defTk.getScreenSize();
        System.out.println("Screen Dimension       : " +
                                screen.toString());
        System.out.println("Screen Resolution (dpi): " +
                                defTk.getScreenResolution());
        System.out.println("Beep.");
        defTk.beep();

        System.exit(0);
    }
}
