// File: SimpleCounterApplet.java
package jwiley.chp14;

import java.awt.*;
import java.rmi.*;

public class SimpleCounterApplet extends java.applet.Applet
{
    String message = "";

    public void init()
    {
        try
        {
            String sHost = getCodeBase().getHost();
            if (sHost == null || sHost.length() == 0)
                    sHost = "localhost";
            SimpleCounterServer server =
              (SimpleCounterServer)Naming.lookup("rmi://" +
              sHost + "/SimpleCounterServer");
            System.out.println("Connected to the server.");
            message = String.valueOf(server.getCount());

    	} catch (Exception x)
    	  {
            System.out.println("SimpleCounterApplet: an exception occurred:");
    	    x.printStackTrace();
    	  }
    }

    public void paint(Graphics g)
    {
    	g.drawString("Number of visitors to this web page: " + message,
                      10, 10);
    }
}
