
//package jwiley.chp17;
import java.security.*;
/**
 *  A class that prints all the currently installed security providers
 *  @version 1.1
 *  @author A. Saganich
 *  @see java.security.Provider
 */
class getProviders 
{
	public static void main(String args[])
	{
		Provider[] providers = Security.getProviders();

		System.out.println("Getting information about " + providers.length
						   + " Provider(s)\n");
		
		for (int i = 0; i < providers.length; i++)
		{
			System.out.println( "Provider " + i + " name  " + providers[i].getName());
			System.out.println( "Provider " + i + " version  " + providers[i].getVersion());
			System.out.println( "Provider " + i + " info  " + providers[i].getInfo());		
		}
	}
}