/**
 *  writeFile.java
 *  @version 1.0
 *  @author A. Saganich
 */
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.lang.*;
import java.applet.*;

public class writeFile extends Applet 
{
    String myFile = "c:\\temp\\foo.txt";
    File f = new File(myFile);
    DataOutputStream dos;

	public void init() 
	{
		String osname = System.getProperty("os.name");
		System.out.println("OSName is " + osname);
	}

	public void paint(Graphics g) 
	{
		try 
		{
			dos = new DataOutputStream(new BufferedOutputStream(new FileOutputStream(myFile),128));
			dos.writeChars("Look at me\n");
			dos.writeChars("I'm an applet and I can write to a file!\n");
			dos.writeChars("Ain't life grand?\n");
			dos.flush();
			g.drawString("Successfully created " + myFile , 10, 10);

			String name = System.getProperty("user.name");
			g.drawString("And, successfully got user.name ..." + name, 10, 30);
		}


		catch (SecurityException e) 
		{
			System.out.println("writeFile: caught security exception");
			System.out.println("Exception =  " + e.toString());
		}
		catch (IOException ioe) 
		{
			System.out.println("writeFile: caught i/o exception");
			System.out.println("Exception =  " + ioe.toString());
		}
	}
  

	static public void main(String args[])
	{
		Frame frame = new Frame("writeFile");
        frame.addWindowListener( new WindowAdapter()
								{ 
									public void windowClosing(WindowEvent w) 
									{ 
										System.exit(0); 
									}	
								}
		);

		frame.show();
        frame.setVisible(false);
		frame.setSize(frame.getInsets().left + frame.getInsets().right  + 500,
					 frame.getInsets().top  + frame.getInsets().bottom + 50);

		//----------------------------------------------------------------------
		writeFile test = new writeFile();

		frame.add("Center", test);
		test.init();
		test.start();
        frame.show();
	}
}

