// HtmlContainer.hava
package jwiley.chp18.html;

import java.util.Vector;
import java.util.Enumeration;

/**
 * This class is used to contain other html components
 *
 * @author  Eric Monk
 * @version 1.0
 */
public class HtmlContainer implements HtmlComponent
{
    private Vector htmlComponents = new Vector();

    public void addComponent(HtmlComponent htmlComponent)
    {
        htmlComponents.addElement(htmlComponent);
    }

    public void addHtml(String sHtml)
    {
        this.addComponent(new HtmlGenericComponent(sHtml));
    }

    public String getHtml()
    {
        StringBuffer sbHtmlText = new StringBuffer();
        for (int iCount = 0; iCount < htmlComponents.size(); iCount++)
        {
            HtmlComponent comp =
                    (HtmlComponent) htmlComponents.elementAt(iCount);
            sbHtmlText.append(comp.getHtml());
        }

        return (sbHtmlText.toString());
    }
}