// HtmlHead.hava
package jwiley.chp18.html;

/**
 * This class represents the header in an html page
 *
 * @author  Eric Monk
 * @version 1.0
 */
public class HtmlHead extends HtmlContainer
{
    private String sTitle = "";

    public HtmlHead()   {   }

    public HtmlHead(String sTitle)
    {
        this.sTitle = sTitle;
    }

    public void setTitle(String sTitle)
    {
        this.sTitle = sTitle;
    }

    public String getHtml()
    {
        StringBuffer sbHtmlText = new StringBuffer();

        sbHtmlText.append("<HEAD>\n");
        sbHtmlText.append("<TITLE>");
        sbHtmlText.append(sTitle);
        sbHtmlText.append("</TITLE>");
        sbHtmlText.append(super.getHtml());
        sbHtmlText.append("</HEAD>\n");

        return (sbHtmlText.toString());
    }
}
