// HtmlTextInput
package jwiley.chp18.html;

/**
 * This class represents an html input field, this type of component
 * should only be added to an html form
 *
 * @author  Eric Monk
 * @version 1.0
 */
public class HtmlTextInput extends HtmlInput
{
    private String sSize = "";

    public HtmlTextInput (String sName, String sValue)
    {
        super("text", sName, sValue);
    }

    public HtmlTextInput (String sName, String sValue, String sSize)
    {
        this(sName, sValue);
        this.sSize = sSize;
    }

    public String getHtml()
    {
        StringBuffer sbHtmlText = new StringBuffer();

        sbHtmlText.append("<" + getParameterString());
        if (!sSize.equals(""))
            sbHtmlText.append(" SIZE=" + sSize);

        sbHtmlText.append(">\n");

        return (sbHtmlText.toString());
    }
}
