// ArrayBasics.java
package jwiley.chp2;

/**
 * Class to demonstrate the basics of array creation and access.
 * @version 1.1
 * @author Michael C. Daconta
 */
class ArrayBasics
{
    /** Main method to invoke from the JVM. */
    public static void main(String args[])
    {
        /* 1) cannot put dimension in declaration.
              This declares a reference to an array. */
        int myArray[];

        /* 2) must allocate an array object new. */
        myArray = new int[3];

        /* 3) You can get the size of the array */
        System.out.println("myArray size is : " + myArray.length);

        /* 4) for multi-dimensional arrays you allocate
              an array of array references. */
        int multiArray[][];
        multiArray = new int[3][4];

        /* 5) with multi-dimensional arrays you do can
              allocate the size of each "row" later. */
        int dynamicMulti[][];
        dynamicMulti = new int[3][];

        dynamicMulti[0] = new int[5];
        dynamicMulti[1] = new int[10];
        dynamicMulti[2] = new int[20];

        /* 6) array overruns and underruns are impossible. */
    }
}