// Assert.java
package jwiley.chp2;

import java.io.*;

public class Assert
{
    public static boolean NDEBUG = true;

    public static void assert(boolean expression) throws Error
    {
        if (NDEBUG && !expression)
            throw new Error("Assertion Failed!");
    }

    public static void assert(boolean expression, String message) throws Error
    {
        if (NDEBUG && !expression)
            throw new Error(message);
    }

    public static void main(String args[])
    {
        // Assert.NDEBUG=false;
        BufferedReader br = new BufferedReader(new
                                InputStreamReader(System.in));
        System.out.print("Input a number between 0 and 10: ");
        System.out.flush();
        try
        {
            String sInput = br.readLine();
            int iNum = Integer.parseInt(sInput);
            Assert.assert(iNum >= 0);
            Assert.assert(iNum <= 10, "Number is greater than 10!");
            System.out.println("Your number passed 2 assertion tests.");
        } catch (Exception e)
          {
            e.printStackTrace();
            System.exit(1);
          }
    }
}