// StringBufferBasics.java
package jwiley.chp2;

/**
 * Class to demonstrate the basics of Java's mutable
 * Strings.
 * @author Michael C. Daconta
 * @version 1.1
 */
class StringBufferBasics
{
    /** Main() method to invoke from JVM. */
    public static void main(String args[])
    {
        /* 1) initialize */
        StringBuffer aSentence = new StringBuffer("Mary had a ");
        System.out.println("The sentence is " + aSentence);

        /* 2) modify chars */
        aSentence.setCharAt(5,'w');
        aSentence.setCharAt(7,'s');
        System.out.println("Modified sentence is " + aSentence);

        /* 3) append to end */
        aSentence.append("little girl.");
        System.out.println("Appended sentence is " + aSentence);

        /* 4) insert in middle */
        String aWord = new String(aSentence.toString());
        int idx = aWord.indexOf("little");

        if (idx > 0)
                aSentence.insert(idx,"very ");
        System.out.println("Inserted sentence is " + aSentence);
    }
}