//
// Initialize.java
//
class Initialize 
{
	public int 				anInt = 1;
	public static String 	staticString="I get changed by the static initializer";
	public double 			aDouble;
	public String			stringInput;
	static
	{
		System.out.println("\n\nI'm a static initializer, gotta love me!");
		System.out.println("I only get called once for all instances of a class.");
		System.out.println("I can be used to initialize static variables which ");
		System.out.println("are too complete for simple assignments.");
		staticString="I was replaced in the static initializer!";
	}
	static
	{
		System.out.println("\n\nI'm another static initializer.");
		System.out.println("If there are more then one we get called in order!");
	}
	
	
	{ 
		System.out.println("\n\nI'm a instance intializer I get called once per object.");
		System.out.println("I can be used to initialize normal variables which");
		System.out.println("are too complete for simple assignments.");
		System.out.println("I get called before the C'Tor but after the superclass 'super' method");
		aDouble = 3.14;
	}
	
	public Initialize(String input)
	{
		System.out.println("\n\nIn the C'Tor.");
		System.out.println("I got called with input:"+input);
		stringInput = input;
	}
	public static void  main(String[] args)
	{
		System.out.println("\n\nCreating instance A.");
		Initialize aInstance = new Initialize("Instance A");
		System.out.println("Instance A contains:");
		System.out.println("\tanInt="+aInstance.anInt);
		System.out.println("\tstaticString="+aInstance.staticString);
		System.out.println("\taDouble="+aInstance.aDouble);
		System.out.println("\tstringInput="+aInstance.stringInput);
		
		System.out.println("\n\nCreating instance B.");
		Initialize bInInstace = new Initialize("Instance B");
		System.out.println("Instance B contains:");
		System.out.println("\tanInt="+bInInstace.anInt);
		System.out.println("\tstaticString="+bInInstace.staticString);
		System.out.println("\taDouble="+bInInstace.aDouble);
		System.out.println("\tstringInput="+bInInstace.stringInput);
	}
	
}