// Warning.java
package jwiley.chp3;

import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.Button;
import java.awt.Graphics;
import java.awt.Color;
import java.awt.Panel;
import java.awt.Point;

/**
 * Simple class to demonstrate inheritance.
 */
public class Warning extends Frame implements ActionListener
{
    /** Warning message. */
    private String message;

    /** constructor. */
    public Warning(String title, String WarningMessage)
    {
        super(title);
        message = new String(WarningMessage);
        Panel p = new Panel();
        Button okButton = new Button("OK");
        okButton.addActionListener(this);
        p.add("Center", okButton);
        add("South",p);
        setSize(200,100);
        setLocation(new Point(50,50));
        setForeground(Color.black);
        setBackground(Color.white);
        setVisible(true);
    }

    /** event handler. */
    public void actionPerformed(ActionEvent evt)
    {
        if ("OK".equals(evt.getActionCommand()))
        {
            System.exit(1);
        }
    }

    /** paint() method. */
    public void paint(Graphics g)
    {
        g.drawString(message,10,40);
    }

    /** main() method to invoke from JVM. */
    public static void main(String args[])
    {
        Warning anError = new Warning("Error", "A serious Error");
    }
}
