/** DoubleLink.java. */
package List;

/** Class to implement a doubly linked list. */
public class DoubleLink extends ListNode
{
    /** reference to previous node. */
	DoubleLink prev;
	/** reference to next node. */
	DoubleLink next;

    /** constructor. */
	public DoubleLink(Object theData)
	{
		super(theData);
	}

    /** link a node to this list. */
	public void Link(ListNode prev)
	{
		((DoubleLink)prev).next = this;
		this.prev = (DoubleLink) prev;
	}

    /** access next node in this list. */
	public ListNode next()
	{
		return this.next;
	}

    /** access previous node in this list. */
	public ListNode prev() throws IllegalListOpException
	{
		return this.prev;
	}
}
