// BadGobble.java
package jwiley.chp6;

/** Class designed to exhaust the heap. */
class BadGobble
{
    /** total # of bytes gobbled. */
    static long totalMemRequested=0;
    /** # bytes gobble this time. */
    static int numBytes=0;
    /** array to gobble to. */
    static char cArray[][] = new char[1000][];
    /** counter. */
    static int iCount;
    /** method to gobble memory.*/
    static void badGobble()
    {
        numBytes += 10000;
        totalMemRequested += numBytes;
        cArray[iCount++] = new char[numBytes];
        if (numBytes % 100000 == 0)
                System.out.println("numBytes : " + numBytes);
    }

    /** main() method to invoke from JVM. */
    public static void main(String args[])
    {
        try
        {
          while (true)
            badGobble();
        } catch (Error e)
          {
            System.out.println(e.toString());
            System.out.println("Total memory requested was: " +
                                    totalMemRequested);
          }
    }
}
