// Growth.java
package jwiley.chp6;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

/** class to calculate exponential growth and demonstrate
    the Math class. */
public class Growth
{

    /** main() method to invoke from JVM. */
    public static void main(String args[])
    {
        try
        {
            BufferedReader br = new BufferedReader(
                                      new InputStreamReader(System.in));
            System.out.print("Enter initial Deficit: ");
            System.out.flush();
            String popStr = br.readLine();
            long initPopulation = Long.parseLong(popStr);

            System.out.print("Enter number of years elapsed: ");
            System.out.flush();
            String yearStr = br.readLine();
            int years = Integer.parseInt(yearStr);

            double growth = Math.exp((double)years);
            long newPopulation =
                    Math.round(( (double)initPopulation * growth));
            System.out.println("Exponential growth : " +
                               newPopulation);
       } catch (IOException ioe)
         {
            System.out.println("IO Error");
            System.exit(1);
         }
   }
}
