
package jwiley.chp8;

import java.io.Serializable;
import java.util.Date;

/**
 * Class that stores a Date and a Time
 *
 * @author Eric Monk
 * @version 1.0
 */
public class ReminderData implements Serializable
{
    Date    dtReminderDate;
    String  sReminderText;

    /** Reminder data constructor */
    public ReminderData (Date dtReminderDate, String sReminderText)
    {
        this.dtReminderDate = dtReminderDate;
        this.sReminderText = sReminderText;
    }

    /** method to set the reminder date */
    public void setReminderDate (Date dtReminderDate)
    {
        this.dtReminderDate = dtReminderDate;
    }

    /** method to get the reminder date */
    public Date getReminderDate ()
    {
        return (dtReminderDate);
    }

    /** method to set the reminder text */
    public void setReminderText (String sReminderText)
    {
        this.sReminderText = sReminderText;
    }

    /** method to get the reminder text */
    public String getReminderText ()
    {
        return (sReminderText);
    }
}