
package jwiley.chp10;

import java.awt.datatransfer.*;
import java.util.Map;

public class ExamineFlavorMappings
{
    public static void main (String args[])
    {
        FlavorMap defaultFlavorMap = SystemFlavorMap.getDefaultFlavorMap();

        Map defaultMapping = defaultFlavorMap.getNativesForFlavors(null);

        Object oKeys[] = defaultMapping.keySet().toArray();

        for (int i = 0; i < oKeys.length; i++)
        {
            String sKey = (String) oKeys[i];
            String sValue = (String) defaultMapping.get(sKey);

            System.out.println("Flavor: " + sKey);
            System.out.println("Native: " + sValue);
            System.out.println();
        }

        try
        {
            DataFlavor textFlavor =
                new DataFlavor("text/plain; class=java.io.InputStream; charset=ascii");

            System.out.println("Class: " + textFlavor.getRepresentationClass().getName());
            System.out.println("Primary Type: " + textFlavor.getPrimaryType());
            System.out.println("Sub Type: " + textFlavor.getSubType());
        }
        catch (Exception e)
        {
            System.out.println("Error: " + e.toString());
        }


        System.exit(1);
    }

}