
package jwiley.chp10;

import java.awt.*;
import java.awt.geom.*;

public class TestGraphics2D extends Frame
{
    public TestGraphics2D ()
    {
        super ("Test Graphics 2D");

        setSize(400,400);
        show();
    }

    public void paint (Graphics g)
    {
        Graphics2D g2 = (Graphics2D) g;

        g2.setStroke(new BasicStroke(4f));

        Rectangle2D r = new Rectangle2D.Float(50f,50f,100f,100f);
        g2.draw(r);

        RoundRectangle2D rr = new RoundRectangle2D.Float(200f,50f,100f,100f,50f,50f);
        g2.draw(rr);

        QuadCurve2D qc = new QuadCurve2D.Float(50f,200f,100f,400f,150f,200f);
        g2.draw(qc);

        CubicCurve2D cc = new CubicCurve2D.Float(200f, 250f,
                                233f, 150f, 266f, 350f, 300f, 250f);
        g2.draw(cc);
    }

    public static void main (String args[])
    {
        new TestGraphics2D();
    }
}