// TestValidate.java
package jwiley.chp10;

import java.awt.Frame;
import java.awt.Button;
import java.awt.Point;

/** Class to demonstrate coordinate layout INSTEAD of a
    layout manager. */
class TestValidate
{
    /** main() method to invoke from JVM. */
    public static void main(String args[])
    {
        Button button1 = new Button("button One");
        Button button2 = new Button("button Two");
        Button button3 = new Button("button Three");

        Frame myFrame = new Frame("Validate tester");
        myFrame.setLayout(null);
        myFrame.add(button1);
        myFrame.add(button2);
        myFrame.add(button3);

        // manually layout
        button1.setBounds(20,30,50,20);
        button1.validate();
        button2.setBounds(40,55,50,20);
        button2.validate();
        button3.setBounds(60,80,50,20);
        button3.validate();

        myFrame.setLocation(100,100);
        myFrame.setSize(200,200);
        myFrame.setVisible(true);
    }
}
