// File: ActivateCounterServerImpl.java
package jwiley.chp14;

import java.rmi.*;
import java.rmi.activation.*;

public class ActivateCounterServerImpl
	extends Activatable
    implements ActivateCounterServer
{
    private int iCount;

    public ActivateCounterServerImpl(ActivationID id,
                                     MarshalledObject data)
                                     throws java.rmi.RemoteException
    {
        super(id, 0);
        iCount = 0;
    }

    public int getCount() throws RemoteException
    {
        return ++iCount;
    }
}
