// File: CallbackCounterApplet.java
package jwiley.chp14;

import java.awt.*;
import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;
import java.io.Serializable;

public class CallbackCounterApplet extends java.applet.Applet implements
               CallbackCounterClient, Serializable
{
    String message = "";

    public void setCount(int iCount) throws java.rmi.RemoteException
    {
        message = String.valueOf(iCount);
    }

    public void init()
    {
        try
        {
            System.out.println("Exporting object");
            UnicastRemoteObject.exportObject(this);

            System.out.println("Getting server object");
            CallbackCounterServer server =
              (CallbackCounterServer)Naming.lookup("//127.0.0.1" +
              /*getCodeBase().getHost() +*/ "/CallbackCounterServer");

            System.out.println("Invoking remote method");
            server.registerForCount(this);
        }
        catch (Exception x)
        {
            x.printStackTrace();
	    }
    }

    public void paint(Graphics g)
    {
        g.drawString("Number of visitors to this web page: " + message, 10, 10);
    }
}
