// BookRecord.java
package jwiley.chp18;

/**
 * This class encapsulates the data for a book record
 *
 * @author  Eric Monk
 * @version 1.0
 */
public class BookRecord
{
    int     iBookId = 0;
    String  sTitle = "";
    String  sAuthor = "";
    int     iNumPages = 0;

    public BookRecord ()    {   }

    public BookRecord (int iBookId, String sTitle,
                        String sAuthor, int iNumPages)
    {
        this.iBookId = iBookId;
        this.sTitle = sTitle;
        this.sAuthor = sAuthor;
        this.iNumPages = iNumPages;
    }

    public int getBookId ()     {   return (iBookId);   }
    public String getTitle ()   {   return (sTitle);    }
    public String getAuthor ()  {   return (sAuthor);   }
    public int getNumPages ()   {   return (iNumPages); }

    public void setBookId (int iBookId)
    {   this.iBookId = iBookId; }

    public void setTitle (String sTitle)
    {   this.sTitle = sTitle;   }

    public void setAuthor (String sAuthor)
    {   this.sAuthor = sAuthor; }

    public void setNumPages (int iNumPages)
    {   this.iNumPages = iNumPages; }
}

