// HtmlText.hava
package jwiley.chp18.html;

import java.util.Vector;

/**
 * This class represents html text
 *
 * @author  Eric Monk
 * @version 1.0
 */
public class HtmlText implements HtmlComponent
{
    private String sText = "";
    private Vector vFormatTags = new Vector();

    public HtmlText(String sText)
    {
        this.sText = sText;
    }

    public HtmlText(String sText, String sTag)
    {
        this.sText = sText;
        vFormatTags.addElement(sTag);
    }

    public void addFormatTag(String sTag)
    {
        vFormatTags.addElement(sTag);
    }

    public String getHtml()
    {
        StringBuffer sbHtmlText = new StringBuffer();

        for (int iCount = 0; iCount < vFormatTags.size(); iCount++)
        {
            String sTag = "<" + (String)vFormatTags.elementAt(iCount) + ">";
            sbHtmlText.append(sTag);
        }
        sbHtmlText.append(sText);
        for (int iCount = 0; iCount < vFormatTags.size(); iCount++)
        {
            String sTag = "</" + (String)vFormatTags.elementAt(iCount) + ">";
            sbHtmlText.append(sTag);
        }

        return (sbHtmlText.toString());
    }
}
