import java.io.IOException;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 * This class demonstrates a simple servlet
 *
 * @author  Eric Monk
 * @version 1.0
 */
public class MyFirstServlet extends HttpServlet
{
    public void service(HttpServletRequest req, HttpServletResponse res)
                                	throws ServletException, IOException
    {
        res.setContentType("text/html");

        ServletOutputStream out = res.getOutputStream();

        out.println("<HTML>");

        // head
        out.println("<HEAD>");
        out.println("<TITLE>My First Servlet</TITLE>");
        out.println("</HEAD>");

        // body
        out.println("<BODY>");
        out.println("<H2>My First Servlet</H2>");
        out.println("<P>This is my first servlet.</P>");
        out.println("<P>Request URI: " + req.getRequestURI() + "</P>");
        out.println("<P>Servlet Path: " + req.getServletPath() + "</P>");
        out.println("</BODY>");

        out.println("</HTML>");
    }

    public String getServletInfo() {
        return "My first servlet";
    }
}
