// ASCIIFileReader.java
package jwiley.chp2;

import java.io.FileInputStream;

/**
 * Class to load an ASCII file using Java.
 * @version 1.1
 * @author Martin C. Snyder
 */
class ASCIIFileReader
{
    public static String readFile(String strFilename)
    {
        try
        {
            StringBuffer sb = new StringBuffer();
            FileInputStream fs = new FileInputStream(strFilename);
            int len = fs.available();

            for (int i = 0; i < len; i++)
            {
                byte ASCIIChar = (byte)fs.read();
                char JavaChar = (char)ASCIIChar;
                sb.append(JavaChar);
            }

            return sb.toString();
        }
        catch (Exception x)
          {
            System.out.println(x);
            return "";
          }
    }

    /** Main method to invoke from JVM. */
    public static void main(String args[])
    {
        System.out.println(readFile(args[0]));
    }
}
