// Coordinate3d.java
package jwiley.chp3;

/**
 * Class to represent a 2d coordinate.
 */
class Coordinate
{
    /** components. */
    protected int x,y;

    /** constructor. */
    Coordinate(int inX, int inY)
    {
        x = inX; y = inY;
    }

    /** accessor. */
    int getX()
    { return x; }

    /** accessor. */
    int getY()
    { return y; }
}

/**
 * Class to represent a 3d coordinate.
 */
class Coordinate3d extends Coordinate
{
    /** 3rd dimension. */
    protected int z;

    /** constructor. */
    Coordinate3d(int inX, int inY, int inZ)
    {
        super(inX, inY);
        z = inZ;
    }

    /** accessor. */
    int getZ()
    { return z; }

    /** main() method to invoke from JVM. */
    public static void main(String args[])
    {
        Coordinate3d myCoord = new Coordinate3d(10,20,30);
        System.out.println("x: " + myCoord.getX());
        System.out.println("y: " + myCoord.getY());
        System.out.println("z: " + myCoord.getZ());
    }
}
