/*
* Simple C implemenation of three overloaded functions to dump a long
* and a double.
* Al Saganich, Java for C/C++ programmers.
*/
#include "chp5_tstNative.h"
#include "stdio.h"
JNIEXPORT void JNICALL Java_chp5_tstNative_dump__J
  (JNIEnv *pEnv, jobject jObject, jlong inLong)
 {
	printf("long: %ld\n",inLong);
 }


JNIEXPORT void JNICALL Java_chp5_tstNative_dump__D
  (JNIEnv *pEnv, jobject jObject, jdouble inDouble)
 {
	printf("double: %e\n",inDouble);
 }

