
package jwiley.chp7;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

public class TestProperties
{
    public static void main (String args[])
    {
        if (args.length != 1)
        {
            System.out.println("Usage: java TestProperties <prop>");
            System.exit(0);
        }

        try {
            FileInputStream fis = new FileInputStream("family.txt");
            Properties props = new Properties();
            props.load(fis);

            String sValue = props.getProperty(args[0]);
            if (sValue == null)
                System.out.println("Property not found.");
            else
                System.out.println("Value: " + sValue);

            fis.close();
        } catch (IOException ioe)
          {
            System.out.println(ioe.toString());
          }
    }

}